Bug 2006329 - Console only allows Web Terminal Operator to be installed in OpenShift Operators
Summary: Console only allows Web Terminal Operator to be installed in OpenShift Operators
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Dev Console
Version: 4.7
Hardware: Unspecified
OS: Unspecified
high
medium
Target Milestone: ---
: 4.10.0
Assignee: Jaivardhan Kumar
QA Contact: spathak@redhat.com
URL:
Whiteboard:
Depends On:
Blocks: 2008142
TreeView+ depends on / blocked
 
Reported: 2021-09-21 13:50 UTC by Josh Pinkney
Modified: 2022-03-10 16:13 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
* Before this update, the web terminal icon was available in the web console's banner head only if you installed the Web Terminal Operator in the `openShift-operators` namespace. With this update, the terminal icon is available regardless of the namespace where you install the Web Terminal Operator. (link:https://bugzilla.redhat.com/show_bug.cgi?id=2006329[2006329])
Clone Of:
Environment:
Last Closed: 2022-03-10 16:12:32 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift console pull 10045 0 None open Allow web terminal to be installed in any namespace 2021-09-21 13:53:59 UTC
Red Hat Product Errata RHSA-2022:0056 0 None None None 2022-03-10 16:13:04 UTC

Description Josh Pinkney 2021-09-21 13:50:11 UTC
Description of problem:
Currently if you install the web terminal operator on an OpenShift cluster the terminal icon on the banner head will only appear if the web terminal operator is installed in the OpenShift-Operators namespace. This presents a problem because on OSD, in order to make the operator configurable by dedicated admins you want to have the operator in a non OpenShift- namespace. The console should be allowing the web terminal operator to be installed in any namespace and have the terminal in the browser working.

Version-Release number of selected component (if applicable): 4.7


How reproducible:


Steps to Reproduce:
1. Create a new non OpenShift- project:
```
oc new-project sample
```

2.Add in the following subscription:
```yaml
apiVersion: operators.coreos.com/v1alpha1
kind: Subscription
metadata:
  name: web-terminal
  namespace: sample
spec:
  channel: fast
  installPlanApproval: Automatic
  name: web-terminal
  source: redhat-operators
  sourceNamespace: openshift-marketplace
  startingCSV: web-terminal.v1.3.0
```
3. Observe that the terminal icon does not appear on the banner head

Actual results:
The terminal button never appears on the banner head when installed in a different namespace

Expected results:
You can see the terminal button on the banner head regardless of what namespace Web Terminal Operator is installed

Additional info:

Comment 3 Mohammed Saud 2021-11-03 18:36:19 UTC
Verified on:
Build:   4.10.0-0.nightly-2021-11-02-121455
Browser: Firefox 94

Comment 10 errata-xmlrpc 2022-03-10 16:12:32 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.10.3 security update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2022:0056


Note You need to log in before you can comment on or make changes to this bug.